MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_state.h File Reference

`#include <glib.h>`
`#include <stdbool.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
void | playlist_state_save (FILE *fp, const struct playlist *playlist)
bool | playlist_state_restore (const char *line, FILE *fp, GString *buffer, struct playlist *playlist)
unsigned | playlist_state_get_hash (const struct playlist *playlist)
| Generates a hash number for the current state of the playlist and the playback options.

## Function Documentation

unsigned playlist_state_get_hash | ( | const struct playlist * | playlist | ) |

Generates a hash number for the current state of the playlist and the playback options.

This is used by timer_save_state_file() to determine whether the state has changed and the state file should be saved.

bool playlist_state_restore | ( | const char * | line,
|  | FILE * | fp,
|  | GString * | buffer,
|  | struct playlist * | playlist
| ) |  |

void playlist_state_save | ( | FILE * | fp,
|  | const struct playlist * | playlist
| ) |  |